AttachDisks

1. API Description

This API (AttachDisks) is used to attach disks to instance.

circle-info

Note

  • A maximum of 10 disks can be attached to an instance in one request.

  • Quantity of attached disks cannot exceed available disk numbers of an instance. See quota limit for details.

  • The disk and the instance to which you want to attach the disk reside in the same availability zone.

  • You can only attach disks to the available instance. Please note that status of DEPLOYING or PENDING is not available.

  • Disks must be detachable.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

diskIds

Yes

Array of String

ID list of disks.

instanceId

Yes

String

ID of the instance to which the disks to be attached.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Attach disks to an instance.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

INVALID_DISK_AND_INSTANCE_ZONE_MISMATCHED

The disk and the instance to which you want to attach the disk should reside in the same availability zone.

404

INVALID_DISK_NOT_FOUND

Disk does not exist.

400

INVALID_DISK_NOT_PORTABLE

Disk is not detachable.

400

LIMIT_EXCEEDED_INSTANCE_CAN_ATTACH

Quantity of attached disks exceed available disk numbers of an instance.

400

UNSUPPORTED_OPERATION_DISK_ATTACHED

The current disk is already attached to other instance.

400

UNSUPPORTED_OPERATION_DISK_STATUS

Operations on the disk with current status are not supported.

400

UNSUPPORTED_OPERATION_INSTANCE_STATUS

Operations on instances in current state are not supported.

Last updated